import request from '@/utils/request'

// 查询菜品评价列表
export function listEvaluate(query) {
  return request({
    url: '/canteen/evaluate/list',
    method: 'get',
    params: query
  })
}

// 查询菜品评价详细
export function getEvaluate(evaluateId) {
  return request({
    url: '/canteen/evaluate/' + evaluateId,
    method: 'get'
  })
}

// 新增菜品评价
export function addEvaluate(data) {
  return request({
    url: '/canteen/evaluate',
    method: 'post',
    data: data
  })
}

// 修改菜品评价
export function updateEvaluate(data) {
  return request({
    url: '/canteen/evaluate',
    method: 'put',
    data: data
  })
}

// 删除菜品评价
export function delEvaluate(evaluateId) {
  return request({
    url: '/canteen/evaluate/' + evaluateId,
    method: 'delete'
  })
}

// 导出菜品评价
export function exportEvaluate(query) {
  return request({
    url: '/canteen/evaluate/export',
    method: 'get',
    params: query
  })
}
